using UnityEngine;

public class Config : MonoBehaviour
{
    public static bool IsUserLoggedIn
    {
        get
        {
            return PlayerPrefs.GetInt("isUserLoggedIn", 0) == 1 ? true : false;
        }
        set
        {
            PlayerPrefs.SetInt("isUserLoggedIn", value == true ? 1 : 0);
            PlayerPrefs.Save();
        }
    }

    public static string UserName
    {
        get
        {
            return PlayerPrefs.GetString("userName", "");
        }
        set
        {
            PlayerPrefs.SetString("userName", value);
        }
    }

    public static string WalletAddress
    {
        get
        {
            return PlayerPrefs.GetString("walletAddress", "");
        }
        set
        {
            PlayerPrefs.SetString("walletAddress", value);
        }
    }

    public static string AvatarUrl
    {
        get
        {
            return PlayerPrefs.GetString("avatarUrl", "");
        }
        set
        {
            PlayerPrefs.SetString("avatarUrl", value);
        }
    }

}
