using UnityEngine;

using UnityEngine.SceneManagement;

public class InitHandler : MonoBehaviour
{
    void Start()
    {
        if (Application.isEditor == false)
        {
            WalletHandler.Instance.Init(() =>
            {
                Debug.Log("Wallet sdk initialised");

            });

            WalletHandler.Instance.AddOnConnectCallback(() =>
            {
                Invoke("LoadNextScene", 0.1f);
            });
        }

    }

    void LoadNextScene()
    {
        SceneManager.LoadScene("MainMenu");
    }
}
