using System;
using TMPro;
using UnityEngine;
using UnityEngine.UI;
using UnityEngine.SceneManagement;

public class NftPurchasedConfirmation : MonoBehaviour
{
    public TMP_Text TextNftName;
    public TMP_Text TextMessage;

    public Image ImageNft;

    public Sprite[] SpriteNfts;

    private void OnEnable()
    {
        int nftIndex = Convert.ToInt32(Globals.CurrentlyPurchasingNftId);
        NftItem item = NftShopHandler.Instance.GetNftItemDetails(Globals.CurrentlyPurchasingNftId);
        TextNftName.text = item.name;
        TextMessage.text = item.name + " has been added to your NFT Collection";
        ImageNft.sprite = SpriteNfts[nftIndex];
    }

    public void ShowNftCollection()
    {
        SceneManager.LoadScene("UserProfile");
    }
}
