using NowGG.Sdk;
using TMPro;
using UnityEngine;
using UnityEngine.UI;

public class NowGGSecuritySdkDemo : MonoBehaviour
{
    public Button securityButton;
    public TMP_Text output;

    void Start()
    {
        NowGGSecuritySdkManager.Instance.OnSessionToken += OnSessionToken;

        securityButton.GetComponent<Button>().onClick.AddListener(() => { NowGGSecuritySdkManager.Instance.GetSessionToken(); });

    }

    private void OnSessionToken(bool success, string token, string pkgName)
    {
        output.text += "On Security token..success : " + success + " token : " + token + " pkgName : " + pkgName;
        Debug.Log("on token success");
    }
}