using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using TMPro;
using NowGG.Sdk;

public class SampleSceneHandler : MonoBehaviour
{
    public TMP_Text PlatformText;
    
    // Start is called before the first frame update
    void Start()
    { 
        bool isRunningOnNowGG = NowGGUtilitySdkManager.Instance.IsRunningOnNowGG();
        if (isRunningOnNowGG)
        {
            PlatformText.text = "App is Running on Now.gg!";
        }
        else
        {
            PlatformText.text = "App is running on Android!";
        }

        
    }

    public void OnOpenUrlClick()
    {
        NowGGUtilitySdkManager.Instance.OpenUrl("https://www.now.gg");
    }

    public void OnShowDeviceTypeClick()
    {
        PlatformText.text = "Device Type: " + NowGGUtilitySdkManager.Instance.GetDeviceType();
    
    }

    // Update is called once per frame
    void Update()
    {
        
    }
}
